Google authentication error in empathy

Bug #1259422 reported by shantanu saha on 2013-12-10
84
This bug affects 18 people
Affects Status Importance Assigned to Milestone
Empathy
Confirmed
Medium
empathy (Ubuntu)
Undecided
Unassigned

Bug Description

Basically empathy can authenticate google account. But after couple of days when i start empathy, it can't authenticate google account. Other application which use google account are working fine. Off/On google account doesn't solve this problem. What i need to do is remove the account and add it again. And same things will happen after couple of days. It's embarrassing.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: empathy 3.8.4-1ubuntu2
ProcVersionSignature: Ubuntu 3.11.0-15.22-generic 3.11.10
Uname: Linux 3.11.0-15-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
Date: Tue Dec 10 11:55:37 2013
MarkForUpload: True
SourcePackage: empathy
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in empathy (Ubuntu):
status: New → Confirmed

Thanks for reporting this issue and help in making Ubuntu better, and sorry for the delay in getting attention on this issue. Are you still seeing this problem in an updated system?

Changed in empathy (Ubuntu):
status: Confirmed → Incomplete

I don't know if it still affects the OP, but it affects me (on Ubuntu 14.04) and I think on Ubuntu 13.10 I had an issue with Facebook as well, I only get GoogleTalk in 14.04 for now. It is very annoying as you can imagine :). Also if you click on the button to go to the Ubuntu Settings panel and go to Google account it states that it's already authorised so no other option than to remove the account and add it again...

If there's any info I can produce to help let me know.

I checked this case for two days. It's still happening in updated
14.04(64bit) system. I am suspecting that when same account is used by
multiple device at a time then empathy can't authenticate. But it's not
happening all the time. Last time i found the problem where i was logged in
using my android device and empathy failed to authenticate in my laptop.

On Sun, May 4, 2014 at 3:04 PM, Răzvan-Cosmin Rădulescu <<email address hidden>
> wrote:

> I don't know if it still affects the OP, but it affects me (on Ubuntu
> 14.04) and I think on Ubuntu 13.10 I had an issue with Facebook as well,
> I only get GoogleTalk in 14.04 for now. It is very annoying as you can
> imagine :). Also if you click on the button to go to the Ubuntu Settings
> panel and go to Google account it states that it's already authorised so
> no other option than to remove the account and add it again...
>
> If there's any info I can produce to help let me know.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1259422
>
> Title:
> Google authentication error in empathy
>
> Status in “empathy” package in Ubuntu:
> Incomplete
>
> Bug description:
> Basically empathy can authenticate google account. But after couple of
> days when i start empathy, it can't authenticate google account. Other
> application which use google account are working fine. Off/On google
> account doesn't solve this problem. What i need to do is remove the
> account and add it again. And same things will happen after couple of
> days. It's embarrassing.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: empathy 3.8.4-1ubuntu2
> ProcVersionSignature: Ubuntu 3.11.0-15.22-generic 3.11.10
> Uname: Linux 3.11.0-15-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 2.12.5-0ubuntu2.1
> Architecture: amd64
> Date: Tue Dec 10 11:55:37 2013
> MarkForUpload: True
> SourcePackage: empathy
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/empathy/+bug/1259422/+subscriptions
>

I checked this case for 2 weeks, on Google Hangout/GTalk service.

My uname -a is: Linux res 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Thankyou
[]'s

Jeffery von Ronne (vonronne) wrote :

The same thing happens for me with an up-to-date 14.04 system. I do not believe I have had any other machines using my google account when it happened.

Changed in empathy (Ubuntu):
status: Incomplete → Confirmed

Hello team.
How can I get Empathy logs?

I tried below command, but did not get any file output

username@hostname:~$ EMPATHY_DEBUG=all; EMPATHY_LOGFILE=~/Desktop/empathy_debug.log; empathy

(empathy:7755): eds-WARNING **: edsf-persona-store.vala:2496: Error in address book view query: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._e_2dclient_2derror_2dquark.Code5: Authentication required

(empathy:7755): eds-WARNING **: edsf-persona-store.vala:2496: Error in address book view query: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._e_2dclient_2derror_2dquark.Code5: Authentication required
credentials-cc-panel-Message: cc-credentials-account-applications-model.vala:156: No valid plugin found for application 'unity-scope-gdrive' with account '1'
credentials-cc-panel-Message: cc-credentials-account-applications-model.vala:156: No valid plugin found for application 'unity-lens-photos' with account '1'
credentials-cc-panel-Message: cc-credentials-account-applications-model.vala:156: No valid plugin found for application 'evolution-data-server' with account '1'
credentials-cc-panel-Message: cc-credentials-account-applications-model.vala:156: No valid plugin found for application 'evolution-data-server' with account '1'
credentials-cc-panel-Message: cc-credentials-account-applications-model.vala:156: No valid plugin found for application 'shotwell' with account '1'
credentials-cc-panel-Message: cc-credentials-account-applications-model.vala:156: No valid plugin found for application 'evolution-data-server' with account '1'

This still happens in Ubuntu 14.04 with Gnome Staging ppa Empathy 3.12 :(

Not sure how I'm supposed to use Empathy on Debian systems at all as this bug is extreemly critical.

I can confirm. On my Ubuntu 14.04 I have the same error.

Ubuntu 14.04.1 LTS
Update. This morning, after tries and tries, I see this:
- in all of my users (admins and users) inside /home of the first SSD HD, things are perfect.
- in all of my users (admins and users), inside /home of the second SATA HD, things goes bad: no activated accounts.
I even tried to mix accounts (google, fb, irc, and so on) to make a double check.
...strange, but maybe this trouble could be solved

zaf (tom-zaffran) wrote :

I've had this problem with empathy for a long time. Please fix. This is a key feature of Ubuntu and it just doesn't work. Keeping an account connected shouldn't be such a pain in the ass.

Changed in empathy:
importance: Unknown → Medium
status: Unknown → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.